diff --git a/integration-tests/run.sh b/integration-tests/run.sh
index bf9a08029bf49ecac89f46b416eebe09b3f222ed..9f714c58146815c916f9bdb99706dc06c0e3fddc 100755
--- a/integration-tests/run.sh
+++ b/integration-tests/run.sh
@@ -8,16 +8,21 @@ function print_result {
 }
 
 echo Testing Screening Workflow
-./test-3v.sh $@
-result_3v=$?
-print_result $result_3v
+./test-screening.sh $@
+result_hcs=$?
+print_result $result_hcs
 
 echo Testing YeastX Workflow
 ./test-yeastx.sh $@
 result_yeastx=$?
 print_result $result_yeastx
 
-if [ $result_3v -ne 0 -o $result_yeastx -ne 0 ]; then
+echo Testing 3V Screening Workflow
+./test-3v.sh $@
+result_3v=$?
+print_result $result_3v
+
+if [ $result_3v -ne 0 -o $result_yeastx -ne 0 -o $result_hcs -ne 0 ]; then
 	exit 1;
 fi